# Sed script to add DJGPP specific issues to config.h.


$ a\
\
\
/* DGJPP-specific definitions */\
\
#ifdef __DJGPP__\
/*  gcc no longer includes this by default.  */\
# include <sys/version.h>\
\
/* Required by gnulib-lib/xvasprintf.c, gnulib-lib/libxml/xmlreader.c\
   and gnulib-lib/libxml/xmlwriter.c  */\
#ifndef va_copy\
# define va_copy(a,b)  ((a) = (b))\
#endif\
\
/* POSIX says that EAGAIN and EWOULDBLOCK may have the same value.  */\
# ifndef EWOULDBLOCK\
#  define EWOULDBLOCK  EAGAIN\
# endif\
\
/* DJGPP's highst errno is 41 (EILSEQ) so taking the same\
   value than for native windows systems seems to be save.  */\
# ifndef EOPNOTSUPP\
#  define EOPNOTSUPP    10045\
# endif\
\
# ifndef EAFNOSUPPORT\
#  define EAFNOSUPPORT  10046\
# endif\
\
# if defined (__GNUC__) && (__GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 8))\
#  define __gnuc_extension__  __extension__\
# else\
#  define __gnuc_extension__\
# endif\
#endif
